org.apache.commons.jexl.util.introspection

## Class UberspectImpl.VelGetterImpl

- java.lang.Object
- - org.apache.commons.jexl.util.introspection.UberspectImpl.VelGetterImpl

All Implemented Interfaces:
  VelPropertyGet

Enclosing class:
  UberspectImpl

    public class UberspectImpl.VelGetterImpl
    extends java.lang.Object
    implements VelPropertyGet

### Field Summary

Fields
`protected AbstractExecutor` `ae` executor for performing the get.

### Constructor Summary

Constructors
Constructor and Description
`UberspectImpl.VelGetterImpl(AbstractExecutor exec)` Create the getter using an `AbstractExecutor` to do the work.

### Method Summary

Methods
`java.lang.String` `getMethodName()` returns the method name used to return this 'property'.
`java.lang.Object` `invoke(java.lang.Object o)` invocation method - called when the 'get action' should be performed and a value returned.
`boolean` `isAlive()` Tell whether the method underlying this 'property' is alive by checking to see if represents a successful name resolution.
`boolean` `isCacheable()` specifies if this VelPropertyGet is cacheable and able to be reused for this class of object it was returned for.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### ae

    protected AbstractExecutor ae

executor for performing the get.

### Constructor Detail

#### UberspectImpl.VelGetterImpl

    public UberspectImpl.VelGetterImpl(AbstractExecutor exec)

Create the getter using an `AbstractExecutor` to do the work.

Parameters:
  `exec` - the executor.

### Method Detail

#### invoke

    public java.lang.Object invoke(java.lang.Object o)
                            throws java.lang.Exception

invocation method - called when the 'get action' should be performed and a value returned.

Specified by:
  `invoke` in interface `VelPropertyGet`
Parameters:
  `o` - the object to get the property from.
Returns:
  the property value.
Throws:
  `java.lang.Exception` - on any error.

#### isCacheable

    public boolean isCacheable()

specifies if this VelPropertyGet is cacheable and able to be reused for this class of object it was returned for.

Specified by:
  `isCacheable` in interface `VelPropertyGet`
Returns:
  true if can be reused for this class, false if not

#### getMethodName

    public java.lang.String getMethodName()

returns the method name used to return this 'property'.

Specified by:
  `getMethodName` in interface `VelPropertyGet`
Returns:
  the method name.

#### isAlive

    public boolean isAlive()

Description copied from interface: `VelPropertyGet`
Tell whether the method underlying this 'property' is alive by checking to see if represents a successful name resolution.

Specified by:
  `isAlive` in interface `VelPropertyGet`
Returns:
  boolean Whether 'property' is alive.